## libfm-qt 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(libfm-qt)

set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")

set(LIBFM_QT_API_VERSION_MAJOR 1)
set(LIBFM_QT_API_VERSION_MINOR 1)
set(LIBFM_QT_API_VERSION_PATCH 0)
set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

# We use the libtool versioning scheme for the internal so name, "current:revision:age"
# https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html#Updating-version-info
# https://www.sourceware.org/autobook/autobook/autobook_91.html
# http://pusling.com/blog/?p=352
# Actually, libtool uses different ways on different operating systems. So there is no
# universal way to translate a libtool version-info to a cmake version.
# We use "(current-age).age.revision" as the cmake version.
# current: 6, revision: 0, age: 0 => version: 6.0.0
set(LIBFM_QT_ABI_VERSION "11.0.0")
set(LIBFM_QT_SOVERSION "11")

set(GLIB_MINIMUM_VERSION "2.50.0")
set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
set(LXQTBT_MINIMUM_VERSION "0.11.0")
set(QT_MINIMUM_VERSION "5.15.0")

find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5X11Extras "${QT_MINIMUM_VERSION}" REQUIRED)

find_package(lxqt-build-tools "${LXQTBT_MINIMUM_VERSION}" REQUIRED)
find_package(GLIB "${GLIB_MINIMUM_VERSION}" REQUIRED COMPONENTS gio gio-unix gobject gthread)
find_package(MenuCache "${LIBMENUCACHE_MINIMUM_VERSION}" REQUIRED)
find_package(Exif REQUIRED)
find_package(XCB REQUIRED)

message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(LXQtPreventInSourceBuilds)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config-version.cmake"
    VERSION ${LIBFM_QT_API_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
    COMPONENT Devel
)

add_subdirectory(src)
add_subdirectory(data)

# add Doxygen support to generate API docs
# References:
# https://majewsky.wordpress.com/2010/08/14/tip-of-the-day-cmake-and-doxygen/
option(BUILD_DOCUMENTATION "Use Doxygen to create the HTML based API documentation" OFF)
if(BUILD_DOCUMENTATION)
    find_package(Doxygen REQUIRED)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile" @ONLY)
    add_custom_target(doc ALL
        ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
    install(DIRECTORY
        "${CMAKE_CURRENT_BINARY_DIR}/docs"
        DESTINATION "${CMAKE_INSTALL_DOCDIR}"
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
libfm-qt (1.1.0-2~mx21+2) mx; urgency=medium

  * Rebuild for MX Linux.
  * libfm-qt-common: Add a Breaks: for libfm-qt8.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 11:44:22 -0700

libfm-qt (1.1.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Aug 2022 17:19:05 -0700

libfm-qt (1.1.0-2) experimental; urgency=medium

  * Upstreamed compatible changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - libfm-qt11.symbols
    - libfm-qt-common.install
    - libfm-qt-dev.install
    - rules
    - upstream/*
    - patches directory

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Thu, 14 Jul 2022 15:45:41 -0500

libfm-qt (1.1.0-1) experimental; urgency=medium

  * debian/changelog: fix a typo.
  * New upstream version 1.0.0
  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.1.0
  * debian/control: build-deps on lxqt-build-tools (>=0.11.0~).
  * Bump to libfm-qt11 to match soname changes.
  * debian/libfm-qt11.shlibs: Added, restrict to latest upstream version.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Jul 2022 22:33:35 +0800

=== debian/control ===
Source: libfm-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.11.0),
               qtbase5-private-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt
Rules-Requires-Root: no

Package: libfm-qt11
Replaces: libfm-qt9
Breaks: libfm-qt9
Architecture: any
Multi-Arch: same
Section: libs
Depends: libfm-qt-common,
         libfm-qt-l10n,
         libglib2.0-bin,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: libfm-qt11 (<< 1.1.0-1), libfm-qt9, libfm-qt8
Replaces: libfm-qt11 (<< 1.1.0-1), libfm-qt9, libfm-qt8
Description: Common files for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains common files for libfm-qt.

Package: libfm-qt-dev
Architecture: any
Section: libdevel
Depends: libexif-dev,
         libfm-qt11 (= ${binary:Version}),
         libmenu-cache-dev,
         ${misc:Depends}
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## libfm-qt 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")
 
 set(LIBFM_QT_API_VERSION_MAJOR 1)
-set(LIBFM_QT_API_VERSION_MINOR 1)
-set(LIBFM_QT_API_VERSION_PATCH 0)
+set(LIBFM_QT_API_VERSION_MINOR 2)
+set(LIBFM_QT_API_VERSION_PATCH 1)
 set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
@@ -23,12 +23,12 @@
 # universal way to translate a libtool version-info to a cmake version.
 # We use "(current-age).age.revision" as the cmake version.
 # current: 6, revision: 0, age: 0 => version: 6.0.0
-set(LIBFM_QT_ABI_VERSION "11.0.0")
-set(LIBFM_QT_SOVERSION "11")
+set(LIBFM_QT_ABI_VERSION "12.0.0")
+set(LIBFM_QT_SOVERSION "12")
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)

=== debian/changelog ===
libfm-qt (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 04 Jan 2023 23:51:37 +0800

libfm-qt (1.2.0-5) unstable; urgency=medium

  * Update shlibs file to prevent using broken version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 10 Dec 2022 13:36:35 +0800

libfm-qt (1.2.0-4) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Dec 2022 11:19:50 +0800

libfm-qt (1.2.0-3) experimental; urgency=medium

  * Fix wrong Depends.
  * Sort d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Nov 2022 08:47:36 +0800

libfm-qt (1.2.0-2) experimental; urgency=medium

  * Change package name for new soversion (Closes: #1024687).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 26 Nov 2022 23:56:57 +0800

libfm-qt (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary --fail-missing.
  * Remove unnecessary patches.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 22 Nov 2022 23:52:31 +0800

libfm-qt (1.1.0-3) unstable; urgency=medium

  * Team upload
  * Bump libfm-qt8 to libfm-qt11
    - Restored Breaks+Replaces: libfm-qt8 (Closes: #1016514)
  * debian/control:
    - Bump Standards-Version to 4.6.1
    - Bump debhelper to 13
    - debian/control: Add Rules-Requires-Root: no
  * debian/rules: Remove "-Wl,--as-needed" in linker options
  * debian/patches:
    - Fix crash with empty URI scheme of folder path
    - Support adding of pattern lists to entries of search dialog
  * debian/*.symbols, debian/libfm-qt11.shlibs: Remove all symbols files and
    use shlibs file to declare linking dependencies
  * debian/upstream/metadata: Change Repository-Browser field to
    Repository-Browse

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 08 Oct 2022 18:01:29 +0800

=== debian/control ===
Source: libfm-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.11.0~),
               qtbase5-private-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt
Rules-Requires-Root: no

Package: libfm-qt12
Provides: libfm-qt
Conflicts: libfm-qt
Replaces: libfm-qt11,
          libfm-qt9,
          libfm-qt8,
          libfm-qt6,
          libfm-qt5-2,
          libfm-qt5,
          libfm-qt3,
          libfm-qt2
Breaks: libfm-qt11,
        libfm-qt9,
        libfm-qt8,
        libfm-qt6,
        libfm-qt5-2,
        libfm-qt5,
        libfm-qt3,
        libfm-qt2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-bin,
         shared-mime-info
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-dev
Replaces: libfm-qt5-dev
Breaks: libfm-qt5-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libexif-dev,
         libfm-qt12 (= ${binary:Version}),
         libmenu-cache-dev
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: libfm-qt3 (<< 0.11.1)
Replaces: libfm-qt3 (<< 0.11.1)
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## libfm-qt 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")
 
 set(LIBFM_QT_API_VERSION_MAJOR 1)
-set(LIBFM_QT_API_VERSION_MINOR 2)
-set(LIBFM_QT_API_VERSION_PATCH 1)
+set(LIBFM_QT_API_VERSION_MINOR 3)
+set(LIBFM_QT_API_VERSION_PATCH 0)
 set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
@@ -23,12 +23,12 @@
 # universal way to translate a libtool version-info to a cmake version.
 # We use "(current-age).age.revision" as the cmake version.
 # current: 6, revision: 0, age: 0 => version: 6.0.0
-set(LIBFM_QT_ABI_VERSION "12.0.0")
-set(LIBFM_QT_SOVERSION "12")
+set(LIBFM_QT_ABI_VERSION "13.0.0")
+set(LIBFM_QT_SOVERSION "13")
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)

=== debian/changelog ===
libfm-qt (1.3.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jul 2023 15:00:45 -0700

libfm-qt (1.3.0-0.1~S7) unstable; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sat, 20 May 2023 13:29:00 +0300

=== debian/control ===
Source: libfm-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.13.0~),
               qtbase5-private-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt
Rules-Requires-Root: no

Package: libfm-qt13
Provides: libfm-qt
Conflicts: libfm-qt
Replaces: libfm-qt11,
          libfm-qt12,
          libfm-qt2,
          libfm-qt3,
          libfm-qt5,
          libfm-qt5-2,
          libfm-qt6,
          libfm-qt8,
          libfm-qt9
Breaks: libfm-qt11,
        libfm-qt12,
        libfm-qt2,
        libfm-qt3,
        libfm-qt5,
        libfm-qt5-2,
        libfm-qt6,
        libfm-qt8,
        libfm-qt9
Architecture: any
Multi-Arch: same
Section: libs
Depends: libglib2.0-bin, shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-dev
Replaces: libfm-qt5-dev
Breaks: libfm-qt5-dev
Architecture: any
Section: libdevel
Depends: libexif-dev,
         libfm-qt13 (= ${binary:Version}),
         libmenu-cache-dev,
         ${misc:Depends}
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: libfm-qt3 (<< 0.11.1)
Replaces: libfm-qt3 (<< 0.11.1)
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 	dh_auto_configure -- \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libfm-qt 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")
 
 set(LIBFM_QT_API_VERSION_MAJOR 1)
-set(LIBFM_QT_API_VERSION_MINOR 3)
+set(LIBFM_QT_API_VERSION_MINOR 4)
 set(LIBFM_QT_API_VERSION_PATCH 0)
 set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})
 
@@ -23,11 +23,12 @@
 # universal way to translate a libtool version-info to a cmake version.
 # We use "(current-age).age.revision" as the cmake version.
 # current: 6, revision: 0, age: 0 => version: 6.0.0
-set(LIBFM_QT_ABI_VERSION "13.0.0")
-set(LIBFM_QT_SOVERSION "13")
+set(LIBFM_QT_ABI_VERSION "14.0.0")
+set(LIBFM_QT_SOVERSION "14")
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
+set(LXQTMENUDATA_MINIMUM_VERSION "1.4.0")
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
@@ -38,6 +39,7 @@
 find_package(lxqt-build-tools "${LXQTBT_MINIMUM_VERSION}" REQUIRED)
 find_package(GLIB "${GLIB_MINIMUM_VERSION}" REQUIRED COMPONENTS gio gio-unix gobject gthread)
 find_package(MenuCache "${LIBMENUCACHE_MINIMUM_VERSION}" REQUIRED)
+find_package(lxqt-menu-data "${LXQTMENUDATA_MINIMUM_VERSION}" REQUIRED)
 find_package(Exif REQUIRED)
 find_package(XCB REQUIRED)

=== debian/changelog ===
libfm-qt (1.4.0-0ubuntu7) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:25:44 +0300

libfm-qt (1.4.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:56:21 +0000

libfm-qt (1.4.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:34:42 +0000

libfm-qt (1.4.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:59:15 +0000

libfm-qt (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:21:02 +0000

libfm-qt (1.4.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 00:07:46 +0300

libfm-qt (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Reorganized and fixed copyright file.
  * Added lxqt-menu-data as a build dependency.
  * Bumped soname to libfm-qt14.
  * Updated symbols file.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 05 Nov 2023 17:15:40 -0600

libfm-qt (1.3.0-0ubuntu2) mantic; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 10:16:27 -0500

libfm-qt (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - Bump build dependency accordingly.
  * Rename binary package for SONAME change, update symbols accordingly.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2023 16:25:53 -0500

libfm-qt (1.2.1-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Updated copyright file.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Updated symbols file.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 26 Jan 2023 20:18:59 -0600

libfm-qt (1.2.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:19:25 +0300

libfm-qt (1.2.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:50:58 +0300

libfm-qt (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Remove reverse-applicable upstream patches.
  * Bump build dependencies to the latest upstream LXQt versions.
  * Rename libfm-qt11 -> libfm-qt12 and add necessary Breaks/Replaces.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Nov 2022 19:21:46 -0600

libfm-qt (1.1.0-3ubuntu1) kinetic; urgency=medium

  * Revert the previous upload.
  * Make Breaks/Replaces stricter for libfm-qt11 on libfm-qt-common due to the
    nature of the reverted upload.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Oct 2022 11:06:03 -0500

libfm-qt (1.1.0-2ubuntu1) kinetic; urgency=medium

  * Update debian/libfm-qt11.symbols for GCC 12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 13 Aug 2022 21:37:11 +0300

=== debian/control ===
Source: libfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.13.0),
               lxqt-menu-data (>= 1.4.0),
               qtbase5-private-dev
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/libfm-qt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/libfm-qt-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt
Rules-Requires-Root: no

Package: libfm-qt14
Replaces: libfm-qt13, libfm-qt12, libfm-qt11, libfm-qt9
Breaks: libfm-qt13, libfm-qt12, libfm-qt11, libfm-qt9
Architecture: any
Multi-Arch: same
Section: libs
Depends: libfm-qt-common,
         libglib2.0-bin,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: libfm-qt13, libfm-qt12, libfm-qt11 (<< 1.1.0-3ubuntu1), libfm-qt9
Replaces: libfm-qt13, libfm-qt12, libfm-qt11 (<< 1.1.0-3ubuntu1), libfm-qt9
Description: Common files for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains common files for libfm-qt.

Package: libfm-qt-dev
Architecture: any
Section: libdevel
Depends: libexif-dev,
         libfm-qt14 (= ${binary:Version}),
         libmenu-cache-dev,
         ${misc:Depends}
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

## libfm-qt 2.0.2

=== debian/changelog ===
libfm-qt (2.0.2-0ubuntu2) oracular; urgency=medium

  * Fix symbols file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 25 Aug 2024 22:22:47 -0500

libfm-qt (2.0.2-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Update copyright file.
  * Bump build deps.
  * Change binary package name to libfm-qt6.
  * Update symbols file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:06:46 -0500

=== debian/control ===
Source: libfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libkf6windowsystem-dev,
               libmenu-cache-dev,
               libx11-dev,
               lxqt-build-tools (>= 2.0.0),
               lxqt-menu-data (>= 2.0.0),
               qt6-base-private-dev,
               qt6-svg-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/libfm-qt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/libfm-qt-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt
Rules-Requires-Root: no

Package: libfm-qt6-14
Replaces: libfm-qt14, libfm-qt13, libfm-qt12, libfm-qt11, libfm-qt9
Breaks: libfm-qt14, libfm-qt13, libfm-qt12, libfm-qt11, libfm-qt9
Architecture: any
Multi-Arch: same
Section: libs
Depends: libfm-qt6-common,
         libglib2.0-bin,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libfm-qt6-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt6-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: libfm-qt14, libfm-qt13, libfm-qt12, libfm-qt11 (<< 1.1.0-3ubuntu1), libfm-qt9
Replaces: libfm-qt14, libfm-qt13, libfm-qt12, libfm-qt11 (<< 1.1.0-3ubuntu1), libfm-qt9
Description: Common files for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains common files for libfm-qt.

Package: libfm-qt6-dev
Architecture: any
Section: libdevel
Depends: libexif-dev,
         libfm-qt6-14 (= ${binary:Version}),
         libmenu-cache-dev,
         ${misc:Depends}
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt6-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

## libfm-qt 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -6,10 +6,10 @@
 # versions.
 project(libfm-qt)
 
-set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")
+set(LIBFM_QT_LIBRARY_NAME "fm-qt6" CACHE STRING "fm-qt6")
 
-set(LIBFM_QT_API_VERSION_MAJOR 1)
-set(LIBFM_QT_API_VERSION_MINOR 4)
+set(LIBFM_QT_API_VERSION_MAJOR 2)
+set(LIBFM_QT_API_VERSION_MINOR 1)
 set(LIBFM_QT_API_VERSION_PATCH 0)
 set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})
 
@@ -23,27 +23,26 @@
 # universal way to translate a libtool version-info to a cmake version.
 # We use "(current-age).age.revision" as the cmake version.
 # current: 6, revision: 0, age: 0 => version: 6.0.0
-set(LIBFM_QT_ABI_VERSION "14.0.0")
-set(LIBFM_QT_SOVERSION "14")
+set(LIBFM_QT_ABI_VERSION "15.0.0")
+set(LIBFM_QT_SOVERSION "15")
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQTMENUDATA_MINIMUM_VERSION "1.4.0")
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQTMENUDATA_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
-find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(Qt5X11Extras "${QT_MINIMUM_VERSION}" REQUIRED)
+find_package(Qt6Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
+find_package(Qt6LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
 
-find_package(lxqt-build-tools "${LXQTBT_MINIMUM_VERSION}" REQUIRED)
+find_package(lxqt2-build-tools "${LXQTBT_MINIMUM_VERSION}" REQUIRED)
 find_package(GLIB "${GLIB_MINIMUM_VERSION}" REQUIRED COMPONENTS gio gio-unix gobject gthread)
 find_package(MenuCache "${LIBMENUCACHE_MINIMUM_VERSION}" REQUIRED)
 find_package(lxqt-menu-data "${LXQTMENUDATA_MINIMUM_VERSION}" REQUIRED)
 find_package(Exif REQUIRED)
 find_package(XCB REQUIRED)
 
-message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt6Core_VERSION}")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 include(GNUInstallDirs)

=== data/CMakeLists.txt ===
install(FILES
    "archivers.list"
    "terminals.list"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/libfm-qt6"
)

install(FILES
    "libfm-qt6-mimetypes.xml"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/mime/packages"
)

=== src/CMakeLists.txt ===
set(libfm_core_SRCS
    # gio gvfs implementations
    core/vfs/fm-file.c
    core/vfs/fm-file.h
    core/vfs/fm-xml-file.c
    core/vfs/fm-xml-file.h
    core/vfs/vfs-menu.c
    core/vfs/vfs-search.c
    # other legacy C code
    core/legacy/fm-config.c
    core/legacy/fm-app-info.c
    # core data structures
    core/gobjectptr.h
    core/filepath.cpp
    core/iconinfo.cpp
    core/mimetype.cpp
    core/fileinfo.cpp
    core/folder.cpp
    core/folderconfig.cpp
    core/filemonitor.cpp
    # i/o jobs
    core/job.cpp
    core/filetransferjob.cpp
    core/deletejob.cpp
    core/dirlistjob.cpp
    core/filechangeattrjob.cpp
    core/fileinfojob.cpp
    core/filelinkjob.cpp
    core/fileoperationjob.cpp
    core/filesysteminfojob.cpp
    core/job.cpp
    core/totalsizejob.cpp
    core/trashjob.cpp
    core/untrashjob.cpp
    core/thumbnailjob.cpp
    # extra desktop services
    core/bookmarks.cpp
    core/basicfilelauncher.cpp
    core/volumemanager.cpp
    core/userinfocache.cpp
    core/thumbnailer.cpp
    core/terminal.cpp
    core/archiver.cpp
    core/templates.cpp
    # custom actions
    customactions/fileaction.cpp
    customactions/fileactionprofile.cpp
    customactions/fileactioncondition.cpp
)

set(libfm_SRCS
    ${libfm_core_SRCS}
    libfmqt.cpp
    bookmarkaction.cpp
    sidepane.cpp
    filelauncher.cpp
    foldermodel.cpp
    foldermodelitem.cpp
    cachedfoldermodel.cpp
    proxyfoldermodel.cpp
    folderview.cpp
    folderitemdelegate.cpp
    createnewmenu.cpp
    filemenu.cpp
    foldermenu.cpp
    filepropsdialog.cpp
    applaunchcontext.cpp
    placesview.cpp
    placesmodel.cpp
    placesmodelitem.cpp
    dirtreeview.cpp
    dirtreemodel.cpp
    dirtreemodelitem.cpp
    dnddest.cpp
    mountoperation.cpp
    mountoperationpassworddialog.cpp
    mountoperationquestiondialog.cpp
    fileoperation.cpp
    fileoperationdialog.cpp
    renamedialog.cpp
    pathedit.cpp
    pathbar.cpp
    colorbutton.cpp
    fontbutton.cpp
    browsehistory.cpp
    utilities.cpp
    dndactionmenu.cpp
    editbookmarksdialog.cpp
    execfiledialog.cpp
    appchoosercombobox.cpp
    appmenuview.cpp
    appchooserdialog.cpp
    filesearchdialog.cpp
    filedialog.cpp
    fm-search.c # might be moved to libfm later
    xdndworkaround.cpp
    filedialoghelper.cpp
)

set(libfm_UIS
    file-props.ui
    file-operation-dialog.ui
    rename-dialog.ui
    mount-operation-password.ui
    edit-bookmarks.ui
    exec-file.ui
    app-chooser-dialog.ui
    filesearch.ui
    filedialog.ui
)

set(LIBFM_QT_DATA_DIR "${CMAKE_INSTALL_FULL_DATADIR}/libfm-qt6")
set(LIBFM_QT_INTREE_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include")

# add translation for libfm-qt
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES ${libfm_SRCS} ${libfm_UIS}
    INSTALL_DIR "${LIBFM_QT_DATA_DIR}/translations"
)

add_library(${LIBFM_QT_LIBRARY_NAME} SHARED
    ${libfm_SRCS}
    ${libfm_UIS}
    ${QM_FILES}
)

install(EXPORT
    "${LIBFM_QT_LIBRARY_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
    COMPONENT Devel
)

target_link_libraries(${LIBFM_QT_LIBRARY_NAME}
    Qt6::Widgets
    ${GLIB_LIBRARIES}
    ${GLIB_GIO_LIBRARIES}
    ${GLIB_GOBJECT_LIBRARIES}
    ${GLIB_GTHREAD_LIBRARIES}
    ${MENUCACHE_LIBRARIES}
    ${XCB_LIBRARIES}
    ${EXIF_LIBRARIES}
)

# set libtool soname
set_target_properties(${LIBFM_QT_LIBRARY_NAME} PROPERTIES
    VERSION ${LIBFM_QT_ABI_VERSION}
    SOVERSION ${LIBFM_QT_SOVERSION}
)

target_include_directories(${LIBFM_QT_LIBRARY_NAME}
    PRIVATE "${Qt6Gui_PRIVATE_INCLUDE_DIRS}"
        core/legacy
    PUBLIC
        "${GLIB_INCLUDE_DIRS}"
        "${GLIB_GIO_UNIX_INCLUDE_DIR}"
        "${MENUCACHE_INCLUDE_DIRS}"
        "${XCB_INCLUDE_DIRS}"
        "${EXIF_INCLUDE_DIRS}"
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
        "$<BUILD_INTERFACE:${LIBFM_QT_INTREE_INCLUDE_DIR}>"
)

target_compile_definitions(${LIBFM_QT_LIBRARY_NAME}
    PRIVATE "LIBFM_QT_DATA_DIR=\"${LIBFM_QT_DATA_DIR}\""
            "GETTEXT_PACKAGE=\"\""
    PUBLIC "QT_NO_KEYWORDS"
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}_export.h"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libfm-qt6"
    COMPONENT Devel
)

# install include header files (FIXME: can we make this cleaner? should dir name be versioned?)
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libfm-qt6"
    COMPONENT Devel
    FILES_MATCHING PATTERN "*.h"
)

generate_export_header(${LIBFM_QT_LIBRARY_NAME}
    EXPORT_MACRO_NAME LIBFM_QT_API
)

# InTree build
file(COPY ${CMAKE_CURRENT_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}_export.h
    DESTINATION "${LIBFM_QT_INTREE_INCLUDE_DIR}/libfm-qt6"
)

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/
    DESTINATION "${LIBFM_QT_INTREE_INCLUDE_DIR}/libfm-qt6"
    FILES_MATCHING PATTERN "*.h"
)

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/fm-qt-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
)

install(FILES
    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
    COMPONENT Devel
)

# FIXME: add libtool version to the lib (soname) later.
# FIXME: only export public symbols

install(TARGETS ${LIBFM_QT_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT "${LIBFM_QT_LIBRARY_NAME}-targets"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    PUBLIC_HEADER
    COMPONENT Runtime
)

export(TARGETS ${LIBFM_QT_LIBRARY_NAME}
    FILE "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-targets.cmake"
    EXPORT_LINK_INTERFACE_LIBRARIES
)

# install a pkgconfig file for libfm-qt
set(REQUIRED_QT "Qt6Widgets >= ${QT_MINIMUM_VERSION}")
configure_file(libfm-qt.pc.in lib${LIBFM_QT_LIBRARY_NAME}.pc @ONLY)
# FreeBSD loves to install files to different locations
# https://www.freebsd.org/doc/handbook/dirstructure.html
if(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/lib${LIBFM_QT_LIBRARY_NAME}.pc"
        DESTINATION libdata/pkgconfig
        COMPONENT Devel
    )
else()
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/lib${LIBFM_QT_LIBRARY_NAME}.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
        COMPONENT Devel
    )
endif()

# prevent the generated files from being deleted during make cleaner
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)


set(TEST_LIBRARIES
    Qt6::Core
    Qt6::Widgets
    ${FM_LIBRARIES}
    ${LIBFM_QT_LIBRARY_NAME}
)
# some simple test cases
add_executable("test-folder"
    tests/test-folder.cpp
)
target_link_libraries("test-folder" ${TEST_LIBRARIES})

add_executable("test-folderview"
    tests/test-folderview.cpp
)
target_link_libraries("test-folderview" ${TEST_LIBRARIES})

add_executable("test-filedialog"
    tests/test-filedialog.cpp
)
target_link_libraries("test-filedialog" ${TEST_LIBRARIES})

add_executable("test-volumemanager"
    tests/test-volumemanager.cpp
)
target_link_libraries("test-volumemanager" ${TEST_LIBRARIES})

add_executable("test-placesview"
    tests/test-placesview.cpp
)
target_link_libraries("test-placesview" ${TEST_LIBRARIES})

=== src/translations/CMakeLists.txt ===
project(libfm-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/libfm-qt6/translations")

=== debian/changelog ===
libfm-qt (2.1.0-1) unstable; urgency=medium

  * debian/control: update.
  * Run wrap-and-sort.
  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 04 Dec 2024 18:16:58 +0100

libfm-qt (2.1.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.1.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).
  * debian/control: build-deps on lxqt-menu-data (>= 2.1.0~).
  * debian/control: rename binary package name to match the soname bump.
  * debian/libfm-qt6-15.install: rename to match soname bump.
  * debian/libfm-qt6-15.shlibs: rename to match soname bump.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 02 Dec 2024 22:24:34 +0100

libfm-qt (2.0.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:33:33 +0100

libfm-qt (2.0.2-1~exp2) experimental; urgency=medium

  * debian/control: build-deps on qt6-base-private-dev (>= 6.7.2).
  * debian/salsa-ci.yml: build against to experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 05 Oct 2024 17:13:35 +0200

libfm-qt (2.0.2-1~exp1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 2.0.2.

  [ Andrew Lee (李健秋) ]
  * debian/control: build-deps on libkf6windowsystem-dev,
  * debian/control: build-deps on qt6-base-private-dev.
  * debian/control: build-deps on qt6-tools-dev.
  * debian/control: build-deps on lxqt-build-tools (>=
    2.0.0+really2.0.0~).
  * debian/control: build-deps on lxqt-menu-data (>= 2.0.0~).
  * debian/control: rename to libfm-qt6-14 to match soname.
  * debian/libfm-qt6-14.install: update.
  * debian/control: depends on libfm-qt6-14.
  * debian/libfm-qt6-14.shlibs: update.
  * debian/libfm-qt-l10n.install: update.
  * debian/libfm-qt-dev.install: update.
  * debian/control: depends on qt6-translations-l10n.
  * Clean up of group membership after 2nd calls.
  * debian/salsa-ci.yml: build against experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 16 Sep 2024 16:02:11 +0200

libfm-qt (1.4.0-3) unstable; urgency=medium

  * debian/control: Remove extra commas.
  * debian/control: build-deps on qttools5-dev. (Closes:#1078284)
  * debian/copyright: added myself.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Macy Lin <macy@debconf.org>  Sun, 08 Sep 2024 03:38:38 +0800

libfm-qt (1.4.0-2) unstable; urgency=medium

  * Merge to unstable.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 09 May 2024 21:57:14 +0800

libfm-qt (1.4.0-1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Fix blhc error
  * New upstream version 1.4.0

  [ Andrew Lee (李健秋) ]
  * Bump libfm-qt13 to libfm-qt14.
  * debian/control: drop replaces and breaks that not exist in previous
    stable release.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/control: build-deps and depends on lxqt-menu-data.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 11 Dec 2023 17:08:00 +0100

libfm-qt (1.3.0-2) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/copyright: update.
  * debian/control: clean up stuff older than oldoldstable.

  [ ChangZhuo Chen (陳昌倬) ]
  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Jul 2023 09:02:03 +0800

libfm-qt (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump libfm-qt11 to libfm-qt12.
  * Change team email to <team+lxqt@tracker.debian.org>.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 13 Jun 2023 21:01:37 +0800

=== debian/control ===
Source: libfm-qt
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libkf6windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 2.1.0~),
               lxqt-menu-data (>= 2.1.0~),
               qt6-base-private-dev (>= 6.7.2),
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt
Rules-Requires-Root: no

Package: libfm-qt6-15
Provides: libfm-qt
Conflicts: libfm-qt
Replaces: libfm-qt6-14
Breaks: libfm-qt6-14
Architecture: any
Multi-Arch: same
Section: libs
Depends: libglib2.0-bin,
         lxqt-menu-data,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-dev
Replaces: libfm-qt5-dev
Breaks: libfm-qt5-dev
Architecture: any
Section: libdevel
Depends: libexif-dev,
         libfm-qt6-15 (= ${binary:Version}),
         libmenu-cache-dev,
         ${misc:Depends}
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,5 @@
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+execute_before_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"
